Package org.drinkless.tdlib

# Class TdApi.AddStickerToSet

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.AddStickerToSet

Enclosing class:
  `TdApi`

public static class TdApi.AddStickerToSet extends TdApi.Function<TdApi.Ok>
Adds a new sticker to a set.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `name`
  Sticker set name.
  `TdApi.InputSticker`
  `sticker`
  Sticker to add to the set.
  `long`
  `userId`
  Sticker set owner; ignored for regular users.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddStickerToSet()`
  Default constructor for a function, which adds a new sticker to a set.
  `AddStickerToSet(long userId, String name, TdApi.InputSticker sticker)`
  Creates a function, which adds a new sticker to a set.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### userId

    public long userId
    Sticker set owner; ignored for regular users.

  - ### name

    public String name
    Sticker set name. The sticker set must be owned by the current user, and contain less than 200 stickers for custom emoji sticker sets and less than 120 otherwise.

  - ### sticker

    public TdApi.InputSticker sticker
    Sticker to add to the set.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AddStickerToSet

    public AddStickerToSet()
    Default constructor for a function, which adds a new sticker to a set.

    Returns `Ok`

  - ### AddStickerToSet

    public AddStickerToSet(long userId, String name, TdApi.InputSticker sticker)
    Creates a function, which adds a new sticker to a set.

    Returns `Ok`

    Parameters:
      `userId` - Sticker set owner; ignored for regular users.
      `name` - Sticker set name. The sticker set must be owned by the current user, and contain less than 200 stickers for custom emoji sticker sets and less than 120 otherwise.
      `sticker` - Sticker to add to the set.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR